/*
 *  ERROR, {akii-root}/src/error.c
 *
 * ==========================================================================
 *
 *                      Arena Kliens II. Releases
 *
 * ==========================================================================
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * A legkiralyabb szovegszerkeszto: VIM - Vi IMproved 5  <http://www.vim.org>
 */

#include <errno.h>
#include <string.h>
#include "error.h"

char *akiierr[] =
{
    "Hianyzik a zaro `>' jel",
    "Egy szamnak kene jonnie itt",
    "Hianyzik a zaro `}' jel",
    "Hianyzik a zaro `)' jel",
    "Hianyzik a zaro `]' jel",
    "Nincs ertekelheto valtozonev a $ jel utan",
    "Nincs ilyen nevu valtozo",
    "A valtozo struktura (tomb)",
    "A valtozo fuggveny (parancs)",
    "A valtozo nem fuggveny (parancs)",
    "A valtozonev ures string",
    "A valtozo nem struktura (tomb)",
    "A kifejezes ertelmetlen",
    "Nincs zaro idezojel (\")",
    "Valtozo szuksegeltetik",
    "A vegere meg kellene egy valtozo",
    "Hianyzik a operandus",
    "Kezdo '{' jel, amikor nem is kene ???",
    "Ez mar tul hosszu nekem",
    "Illegalis karakter parancs helyen",
    "Hianyzik a kezdo '(' jel",
    "Hibas ON/ONSEND parancs",
    "Hibas FOR parancs",
    "Csak betuvel kezdodhet es betubol, szambol es `_' jelbol allhat a nev",
    "ELSE ag IF nelkul ???",
    "Zaro `}' jel, de nincs kezdo parja",
    "CONTINUE cikluson kivul",
    "BREAK cikluson kivul",
    "Ez vezerlonek foglalt szo",
    "Hibas TIMER parancs",
    "Az ALIAS nem hozhato letre/mar letezik",
    "RETURN ALIAS-on kivul",
    "Ilyen parancs nincs",
    "A FOREACH valtozo neve foglalt",
    "Ures parancssor ALIAS definiciojanal",
    "Az ALIAS nev mar foglalt fuggvenynek, vagy vezerlonek",
    "Hibas FOREACH parancs",
    "Hibas DO WHILE parancs, nincs WHILE",
    "Ilyen nevu ON vagy ONSEND mar van",
    "Helytelen ido TIMER parancsnal",
    "Ilyen nevu TIMER mar van",
    "Keves a parameter",
    "A fajlt nem lehet megnyitni",
    "A tomb nem hozhato letre",
    "Ez tul sok, vagy tul keves",
    "Nincs ilyen ON/ONSEND",
    "ON vagy ONSEND-nel: nincs egy darab regularis kifejezes sem",
    "Nullaval valo osztas",
    "Nincs ilyen tombelem",
    "Ervenytelen fajlvaltozo",
    "A fajl mar meg van nyitva",
    "Nincs ilyen nyitott fajl",
    "Nincs ilyen TIMER",
    "Mar letezik a valtozo",
    "Blokkon kivuli LOCAL",
    "ESCAPE CHECKPOINT-on kivul",
    "NOMOREON vagy NEXTON ON/ONSEND-en kivul",
    "Nincs ilyen nev az msg listaban",
    "A LOGolas mar aktiv",
    "Nem tudtam megnyitni a fajlt",
    "Ez mar hasznalatban van",
    "Ez nincs hasznalatban",
    "Minimum 3 karakter legyen a kodszo",
    "Ket karakteres \"salt\" kell",
    "A \"salt\" a kovetkezokbol allhat: a-zA-Z0-9./",
    "A parameter nem megfelelo"
};

char errtemp[1024] = "";
char errstr[1024] = "";
char semmi = 0;

int getlasterror(void)
{
    return (errno);
}
char *geterrorstr(int i)
{
    if ((i > ERRMAX) || (i < E0)) {
	errtemp[0] = 0;
	return (strerror(errno));
    }
    sprintf(errstr, "%s: %s", akiierr[i - E0], errtemp);
    errtemp[0] = 0;
    return (errstr);
}
